PH Pexplorer explorer_load_lang.php Language Variable Remote File Inclusion

2006-10-19T10:03:55
ID OSVDB:29899
Type osvdb
Reporter Kacper(kacper1964@yahoo.pl)
Modified 2006-10-19T10:03:55

Description

Vulnerability Description

PH Pexplorer contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to explorer_load_lang.php not properly sanitizing user input supplied to the 'Language' cookie variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

PH Pexplorer contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to explorer_load_lang.php not properly sanitizing user input supplied to the 'Language' cookie variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

References:

Vendor URL: http://people.ee.ethz.ch/~dmaeder/bluevirus/main.php?tpc=programs Secunia Advisory ID:22504 ISS X-Force ID: 29714 Generic Exploit URL: http://www.rahim.webd.pl/exploity/Exploits/104.txt FrSIRT Advisory: ADV-2006-4128 CVE-2006-5510 Bugtraq ID: 20665